import client from "jmap-client-ts/lib/types";
import { Client } from "jmap-client-ts";

export type { Client } from "jmap-client-ts";

export interface IAccount extends client.IAccount {
	id: string;
	mailboxes: Array<client.IMailboxProperties>;
}

export type AccountIdMap = { [accountId: string]: IAccount };

export interface ISession extends client.ISession {
	accounts: AccountIdMap;
}

export type TopProps = {
	account: IAccount | null;
	accounts: AccountIdMap;
	client: Client | null;
};
